package ru.dbotthepony.mc.otm.config

import ru.dbotthepony.mc.otm.core.math.Decimal

interface ConciseBalanceValues {
	val capacity: Decimal
	val throughput: Decimal
}

interface WorkerBalanceValues : ConciseBalanceValues {
	val workTimeMultiplier: Double
	val powerConsumption: Decimal
}

interface BatteryBalanceValues : VerboseBalanceValues {
	val initialBatteryLevel: Decimal
}

interface VerboseBalanceValues {
	val capacity: Decimal
	val receive: Decimal
	val extract: Decimal
}
